Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 157079 - Keymap panel: shortcut completion behavior problems
Keymap panel: shortcut completion behavior problems
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Options
6.x
All All
: P4 (vote)
: 7.0
Assigned To: David Strupl
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 17:06 UTC by Ondrej Langr
Modified: 2010-10-22 08:40 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Langr 2009-01-19 17:06:49 UTC
When you enter shortcut field for an action in the keymap panel and start entering a shortcut, there are following
problems with the behavior of the "shortcut completion":

1) the completion blinks very quickly (win Vista) when a functional key is hold.

2) items in the completion can not be chosen using arrow shortcuts (bottom and up arrows work for navigation in the
table, while in the context of this field they should be used for navigation within the completion.
Comment 1 Max Sauer 2009-01-20 08:55:52 UTC
What is your OS please? Works OK for me on MacOS. Thanks.
Comment 2 Max Sauer 2009-01-20 16:19:03 UTC
2) Is reproducible on Linux (Ubuntu) also.
Comment 3 Ondrej Langr 2009-01-21 09:08:01 UTC
Sorry for a late reply. My OS is win Vista.
Comment 4 Max Sauer 2009-01-21 13:53:31 UTC
http://hg.netbeans.org/main/rev/53a599aec18d should fix the arrow navigation.
Comment 5 Quality Engineering 2009-01-23 07:31:25 UTC
Integrated into 'main-golden', will be available in build *200901230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/53a599aec18d
User: Max Sauer <msauer@netbeans.org>
Log: #157079: Partial fix
Comment 6 David Strupl 2010-10-22 08:38:27 UTC
I think that fixing 2. by Max is just enough for this report.
Comment 7 David Strupl 2010-10-22 08:40:36 UTC
I think that fixing 2. by Max is just enough for this report.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo